/**
 * Javier Abelln. 18 Mar 2006
 * 
 * Programa de ejemplo de como transmitir un fichero por un socket.
 * Esta es el mensaje que contiene los cachos de fichero que se van enviando
 * 
 */
package chuidiang.ejemplos.socket_fichero;

import java.io.Serializable;

/**
 * Mensaje que contiene parte del fichero que se est transmitiendo.
 * 
 * @author Javier Abelln
 *
 */
public class MensajeTomaFichero implements Serializable
{
    /** Nombre del fichero que se transmite. Por defecto "" */
    public String nombreFichero="";

    /** Si este es el ltimo mensaje del fichero en cuestin o hay ms despus */
    public boolean ultimoMensaje=true;

    /** Cuantos bytes son vlidos en el array de bytes */
    public int bytesValidos=0;

    /** Array con bytes leidos del fichero */
    public byte[] contenidoFichero = new byte[LONGITUD_MAXIMA];
    
    /** Nmero mximo de bytes que se envian en cada mensaje */
    public final static int LONGITUD_MAXIMA=10;
}
